buildscript {
    repositories {
        mavenLocal()
        maven { url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}


version = '2.0.1'

apply plugin: "$bootGroup"
apply plugin: 'io.spring.dependency-management'


dependencies {

    compile project(":common:utils")

  // compile fileTree(dir: 'src/main/lib', include: '*.jar')

    compile("$bootGroup:spring-boot-starter-web")
    compile("$bootGroup:spring-boot-starter-undertow")
    compile("$bootGroup:spring-boot-starter-websocket")
    compile('org.apache.logging.log4j:log4j-core:2.15.0')
    compile('org.apache.logging.log4j:log4j-jul:2.15.0')
    compile('org.apache.logging.log4j:log4j-api:2.15.0')
    compile('org.apache.logging.log4j:log4j-slf4j-impl:2.15.0')
    compile 'mysql:mysql-connector-java:5.1.28'
    compile 'com.alibaba:druid:1.0.25'
    compile 'com.alibaba:fastjson:1.2.58'

    compile 'com.baomidou:mybatis-plus-boot-starter:3.1.1'
    compile 'com.baomidou:mybatis-plus-generator:3.1.1'
    implementation 'com.taosdata.jdbc:taos-jdbcdriver:2.0.35'
    testCompile("$bootGroup:spring-boot-starter-test")
    // https://mvnrepository.com/artifact/io.jsonwebtoken/jjwt
    compile group: 'io.jsonwebtoken', name: 'jjwt', version: '0.9.0'
    compile("com.netflix.feign:feign-core:8.18.0")
    compile("com.netflix.feign:feign-jackson:8.18.0")
    compile("org.apache.poi:poi-ooxml:3.9")
    compile("net.sourceforge.jexcelapi:jxl:2.6.12")

    implementation 'io.springfox:springfox-swagger-ui:2.9.2'
    implementation 'io.springfox:springfox-swagger2:2.9.2'
    implementation 'io.swagger:swagger-models:1.5.21'
}

